Loading...
Searching...
No Matches
Opm::Pybind::PyFluidState< TypeTag > Class Template Reference

## Public Member Functions

| PyFluidState (Simulator *simulator)
std::vector< double > | getFluidStateVariable (const std::string &name) const
std::vector< int > | getPrimaryVarMeaning (const std::string &variable) const
std::map< std::string, int > | getPrimaryVarMeaningMap (const std::string &variable) const
std::vector< double > | getPrimaryVariable (const std::string &idx_name) const
void | setPrimaryVariable (const std::string &idx_name, const double *data, std::size_t size)

The documentation for this class was generated from the following files:

- opm/simulators/flow/python/PyFluidState.hpp
- opm/simulators/flow/python/PyFluidState_impl.hpp